# Backdate transaction

Backdate a transaction. Can only be applied to transactions with `status=succeeded` or `status=pending`. Can be applied to payments or service credits.

Endpoint: POST /people/{personId}/loans/{loanId}/transactions/{transactionId}/backdate
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

  - `transactionId` (string, required)
    Transaction ID. Can be Peach or lender's external identifier.

## Query parameters:

  - `sync` (boolean)
    Make the process synchronous.

## Request fields (application/json):

  - `caseId` (string)
    The identifier of an existing case.

  - `effectiveDate` (string, required)
    New effective date for the transaction.

  - `effectiveTimeOfDay` (object)
    The effective time of day on effectiveDate in the product timezone. If the time of day is not provided, the Peach system will set the time of
day based on the following logic:
- If backdated to the loan activation date, the system will set the timestamp to the activation timestamp plus a few seconds.
- If backdated to a loan non-activation date, the system will set the timestamp to a few minutes after the loan accrued interest on the effectiveDate.

  - `effectiveTimeOfDay.hour` (integer, required)
    The hour. Value range is 0-23. 0=Midnight...23=11 PM.

  - `effectiveTimeOfDay.minute` (integer, required)
    The minute. Value range is 0-59.

  - `effectiveTimeOfDay.second` (integer)
    The second. Value range is 0-59.

## Response 423 fields (application/json):

  - `message` (string)
    Enum: "Loan is locked for updates. Please try again.", "Loan is locked for updates. Please check back again in a few minutes.", "Previous purchase is processing."

